Skip to main content
GET
/
api
/
v1
/
vm
/
{vm_id}
/
metadata
cURL
curl --request GET \
  --url https://api.example.com/api/v1/vm/{vm_id}/metadata \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/api/v1/vm/{vm_id}/metadata"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/api/v1/vm/{vm_id}/metadata', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "created_at": "2023-11-07T05:31:56Z",
  "ip": "<string>",
  "owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "vm_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "deleted_at": "2023-11-07T05:31:56Z",
  "grandparent_vm_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "parent_commit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
{
  "error": "<string>",
  "success": true
}
{
  "error": "<string>",
  "success": true
}
{
  "error": "<string>",
  "success": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

vm_id
string<uuid>
required

VM ID

Response

VM metadata

Response for GET /api/v1/vm/{vm_id}/metadata

created_at
string<date-time>
required
ip
string
required
owner_id
string<uuid>
required
state
enum<string>
required

The state of a VM

Available options:
booting,
running,
paused,
sleeping,
dead
vm_id
string<uuid>
required
deleted_at
string<date-time> | null
grandparent_vm_id
string<uuid> | null
parent_commit_id
string<uuid> | null